Download it now!
Bug 96669 - UI: 'Save to remote server' error: 'A file named "$file" already exists' though file is not present on target WebDAV server.
Summary: UI: 'Save to remote server' error: 'A file named "$file" already exists' thou...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-22 14:35 UTC by Giuseppe Castagno (aka beppec56)
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Castagno (aka beppec56) 2015-12-22 14:35:44 UTC
To reproduce the bug use a public test WebDAV server on Internet, this way:

1) login at: http://demo.openkm.com/OpenKM/login, choose whatever user+password you prefer from the list given there; login and password will be used to access the server from LO.

2) load a test file of your choice into LO from your PC

3) select 'File > Save to remote server' from menu

4) add the new server to the list of available server using the 'Add service' button, using the following setup:

Host: demo.openkm.com
port: 80
user: the one selected at point 1)
password: leave empty
root: /OpenKM/webdav/

confirm and input user and password of point 1)

5) navigate to okm_personal/<user name> folder, verify that the file name you intend to save does not exist in the folder

6) Select the file name edit box and hit 'Save' button

7) An error dialog with 'A file named "filename" already exists. Do you want to replace it?' is shown

8) Hitting 'Save' will save the file.

Expected behavior should be without point 7) above.

Repeating the test using other WebDAV servers, e.g. Apache WebDAV, Alfresco community, gave the same result.

The bug is not present if the standard LO dialogs are used.
Comment 1 Buovjaga 2015-12-27 14:56:21 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a4764cfa80270f973da5861d0ddc28298bf16f4d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-24_22:45:12
Locale: fi-FI (fi_FI)
Comment 2 Commit Notification 2016-01-08 10:52:14 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5fc2910fc872bbd1184aaab7c842dff593d2449b

tdf#96669: IsDocument should be true only if the document exists

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-01-14 13:39:52 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7704b0bd61b622d0186aca43626b37fdf364d397&h=libreoffice-5-1

tdf#96669: IsDocument should be true only if the document exists

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Giuseppe Castagno (aka beppec56) 2016-03-03 10:12:52 UTC
Found fixed in:

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 8; OS Version: Linux 3.13; UI Render: default; 
Locale: en-US (en_US.UTF-8)